自鯖として利用しているvertrigoにeAcceleratorを入れたいのですが、http://mizushima.ne.jp/Windows/HTTP/eAccelerator/MNS-eAccelerator.phpをみて指示どうりにしてみてもエラーが出てしまいアパッチ起動させる事が出来ません。だれか成功した方がいらっしゃいましたらやり方を教えていただけないでしょうか?

回答の条件
  • 1人3回まで
  • 登録:2008/12/17 17:28:50
  • 終了:2008/12/18 10:57:06

回答(2件)

id:goodvn No.1

goodvn回答回数228ベストアンサー獲得回数182008/12/18 04:40:41

ポイント35pt

Apache の error_log とかを公開すると,的確なアドバイスがあるかもしれません

また,Apache など,システムの各バージョンはどうなっていますか?

id:takanii

おお!そういえばそんなのがありましたね!

[Thu Dec 18 08:04:01 2008] [warn] pid file C:/Program Files/VertrigoServ/Apache/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?

PHP Warning: [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.8. Rebuild it for your PHP version (5.2.6) or download precompiled binaries.\n in Unknown on line 0

PHP Fatal error: Unable to start eAccelerator module in Unknown on line 0

です。

http://jiyuwiki.com/image/2008y12m18d_080413406.jpgのようなのが出てきます

2008/12/18 08:08:33
id:zzz_1980 No.2

zzz_1980回答回数492ベストアンサー獲得回数642008/12/18 09:51:42

ポイント35pt

PHP Warning: [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.8. Rebuild it for your PHP version (5.2.6) or download precompiled binaries.\n in Unknown on line 0

この[eAccelerator]はPHP version 5.2.8用にコンパイルされたものである。

あなたのPHP version (5.2.6)にあわせてRebuild(コンパイル)しなおしか、5.2.6用にコンパイルされたバイナリを用意してください。

ということで、eAcceletor の windows版の再コンパイルを eAccelerator/windowsの作者にお願いするか、

PHPを5.2.6から5.2.8にあげるしかないですね。

id:takanii

なるほど それが原因でしたか!これにて締め切らせていただきます。

2008/12/18 10:56:57

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません